<?php
	$StrHWND_G=$_SESSION['SYS_HW']."_G";
	$LIMPIAR=0;
	//-------------------------+++++++++++
	$P_C="CboEmp";//++++++
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrDATA=V($_POST['TxtDAT']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X")$StrCmd="C";
	}
	//-------------------------	
	$DR_NOM=V($_POST['DR_NOM']);
	$DR_DES=vbval(V($_POST['DR_DES']));
	$DR_PRI=vbval(V($_POST['DR_PRI']));	
	//-------------------------	
	$Str_DES=vbval(V($_POST['Ch_DES']));
	$StrEmpZ=V($_POST['CboEmpZ']);
	$StrZto=V($_POST['CboZto']);
	$StrEmpZ_=gn("id_emp","empresas","emp_nomc='$StrEmpZ'");
	$StrZto_=gn("id_almacen","almacenes","alm_obs='$StrZto' AND alm_id_empresa=$StrEmpZ_");	
	//-------------------------
	$TipGia=V($_POST['TipGia']);
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	//
	if($PRO_ID_ALM==0){
		if(strlen($StrEmp)==0)$StrEmp=GE("N");
		if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"N");	
	}else{
		$StrEmp=gs("ENC","vis_almacenes","IDA=$PRO_ID_ALM");
		$StrAlm=gs("ANC","vis_almacenes","IDA=$PRO_ID_ALM");
	}
	//
	$StrN_AUTO=V($_POST['ChN_AUTO']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrFec=V($_POST['TxtFec']);
	$StrFecT=V($_POST['TxtFecT']);
	$StrPar=V($_POST['TxtPar']);
	//
	$Mot=V($_POST['Mot']);
	//
	$StrCosto="";
	$StrDesRs=V($_POST['TxtDesRs']);
	$StrDesRuc=V($_POST['TxtDesRuc']);
	$StrDesDir=V($_POST['TxtDesDir']);
	//
	$UbiPai=V($_POST['UbiPai']);
	$UbiDep=V($_POST['UbiDep']);
	$UbiPro=V($_POST['UbiPro']);
	$UbiDis=V($_POST['UbiDis']);
	//
	$StrETRs=V($_POST['TxtETRs']);
	$StrETRuc=V($_POST['TxtETRuc']);
	$StrMarca=V($_POST['TxtMarca']);
	$StrPlaca=V($_POST['TxtPlaca']);
	$StrCons=V($_POST['TxtCons']);
	$StrLic=V($_POST['TxtLic']);
	$StrDesDNI=V($_POST['TxtDesDNI']);
	
	$TraPro=V($_POST['TraPro']);
	if(strlen($TraPro)==0)$TraPro="NO";

	$StrEmpR=V($_POST['CboEmpR']);
	$StrComR=V($_POST['CboComR']);
	$StrSerR=V($_POST['TxtSerR']);
	$StrNumR=V($_POST['TxtNumR']);
	$StrSerR_=vbval($StrSerR);
	$StrNumR_=vbval($StrNumR);
	
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarcas']);
	$StrCant=V($_POST['TxtCant']);
	$StrCUni=V($_POST['TxtCUni']);
	//
	$StrPro_ID=V($_POST['Pro_TxtId']);
	$StrPro_CA=V($_POST['TxtCant']);

 	$Pro_Des=V($_POST['Pro_TxtDes']);
	$Pro_Pre=V($_POST['Pro_TxtPre']);
	$Pro_Cod=V($_POST['Pro_TxtCod']);
	$Pro_Marca=V($_POST['Pro_TxtMarca']);
	//
	$Peso=V($_POST['Peso']);
	$TipTra=V($_POST['TipTra']);
	$TipDoc=V($_POST['TipDoc']);
	$ChoDni=V($_POST['ChoDni']);
	$ChoNom=V($_POST['ChoNom']);
	$ChoApe=V($_POST['ChoApe']);
	$Obs=V($_POST['Obs']);
	//
	$StrCh1="0";
	$StrCh2="0";
	$StrCh3="0";
	$StrCh4="0";
	$StrCh5="0";
	$StrCh6="0";
	$StrCh7="0";
	$StrCh8="0";
	$StrCh9="0";
	$StrCh10="0";
	$StrCh11="0";
	$StrCh12="0";
	$StrCh13="0";
	$StrCh14="0";
	//------------------------
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");
	if(strlen($StrFecT)==0) $StrFecT=date("d-m-y");
	if(strlen($StrIdCliente)==0)$StrIdCliente="0";
	if(strlen($StrPro_ID)==0 || !is_numeric($StrPro_ID)) $StrPro_ID="0";
	if(strlen($StrPro_PR)==0 || !is_numeric($StrPro_PR)) $StrPro_PR="0";
	if(strlen($StrPro_CA)==0 || !is_numeric($StrPro_CA)) $StrPro_CA="0";
	if(strlen($StrN_INC)==0){
		$StrN_INC="0";
	}else{
		$StrN_INC="1";
	}
	//-----------------------
	if($StrN_AUTO=="1" || $StrCmd=="X"){
		$StrN_AUTO="1";
	}else{
		$StrN_AUTO="0";
	}
	//------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if($StrCmd=="KCH"){
		$DAT = explode(',',$StrDATA);
		$i=0;
		for($i=0;$i<count($DAT);$i++){
			$STR_INDEX=vbval($DAT[$i]);
			$s="DELETE FROM temp_compras WHERE 
				temc_index=$STR_INDEX AND cod_temc='$StrHWND_G'";
			ejt($s);
		}		
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";		
	}
	//++++
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	include("guias_ref.php");
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$LIMPIAR=1;
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_G'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";
	}	
	//
	if($StrCmd=="ADD"){	
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		if($StrPro_ID==0){
			$LStrMsg="No se puede determinar el ID del producto";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";							
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_G'")>0){
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
			}
		}		
		if(strlen($StrGT)==0){
			$StrImporte=round($StrPro_CA * $StrPro_PR,2);
			$StrIndex=GenId("temc_index","temp_compras");
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
				$StrPro_ID,$StrPro_CA,0,0,
				$StrIndex,'$StrCod','$StrDes',$StrCUni)";
			ejt($s);
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$Pro_Des="";
			$Pro_Pre="";
			$Pro_Cod="";
			$Pro_Marca="";
			$StrCUni="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="M" && strlen($StrGT)==0){
		$LStrMsg="";
		if(strlen($StrIdCliente)==0) $StrIdCliente="0";
		if (is_numeric($StrIdCliente)==false) $StrIdCliente="0";
		$E_DESC=gn("guia_desc","guias","id_guia=$StrId");
		$_IR=gn("id_ref","guias","id_guia=$StrId");	
		$StrAlm_=gn("guia_id_alm","guias","id_guia=$StrId");
		$IdComR_=gn("id_comr","guias","id_guia=$StrId");
		$qqq=ejt("DELETE FROM guias WHERE id_guia=$StrId");
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$qqq;
		$_BIT_SQL_DET="";
		$_BIT_PHP="guias.php";
		$_BIT_ID=BIT_ADD("ALMACEN","GUIAS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$qqq);
		//BIT	
		$s="SELECT id_producto,ca,can_uni FROM guias_det WHERE id_guia=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			$E_CU=$row[2];
			if($E_DESC==1){
				STOCK_ADD($StrAlm_,$E_ID,$E_CA*$E_CU);
				ZTOCK_ADD($StrAlm_,$E_ID,$E_CA,$E_CU);				
			}
			CONTROLZ_GUIAS($IdComR_,$_IR,$E_ID,$E_CA,$E_CU);
			T_P_ACT($E_ID);
		}
		$qqq=ejt("DELETE FROM guias_det WHERE id_guia=$StrId");
		//
		BIT_DET_ADD($_BIT_ID,$qqq);
		//
		$LStrMsg="Los datos han sido modificados";
		$StrGT="";
		$StrCmd="G";
	}
	//------------------------------------------------------
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){
		$TipGia_=gn("id_comprobante","comprobantes","com_nombre='$TipGia'");
		$Mot_=gn("id_mot","gdr_motivos","mot_des='$Mot'");
		$UbiPai_=gn("id_pais","fe_lista_paises","pai_nom='$UbiPai'");
		if($UbiPai=="PERU"){
			$UbiCod=gs("UBIGEO","lista_ubigeo","DEP='$UbiDep' AND PROV='$UbiPro' AND DIS='$UbiDis'");
		}else{
			$UbiCod="-";
		}
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");		
		$StrEmpZ_=gn("id_emp","empresas","emp_nomc='$StrEmpZ'");				
		$StrAlm_=gn("id_almacen","almacenes",
					"alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");		
		$StrEmpR=gn("id_emp","empresas","emp_nomc='$StrEmpR'");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrComR_=gn("id_comprobante","comprobantes","com_nombre='$StrComR'");
		$StrMon_=substr($StrMon,0,1);
		$StrPro_=gn("id_proveedor","proveedores","pro_nombre='$StrPro'");
		$StrTdp_=substr($StrTdp,0,2);
		//
		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_G'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
	}
	//VALIDAR PARA DESCONTAR STOCK
	if($StrCmd=="G" && strlen($StrGT)==0){
		if($Str_DES==1){
			if($StrComR=="PROFORMA"){
				$_SER=vbval($StrSerR);
				$_NUM=vbval($StrNumR);
				if(gn("cot_des","cotizaciones","iser=$_SER AND inum=$_NUM")==1){
					$LStrMsg="El stock ya ha sido descontado al emitir ".
					         "el documento de referencia.";
					$LStrFoc="document.getElementById('Ch_DES').focus();";						
					$StrGT="S";
				}
			}
			if($StrComR=="TRANSFERENCIA"){
				$LStrMsg="El stock ya ha sido descontado al emitir ".
						 "el documento de referencia.";
				$LStrFoc="document.getElementById('Ch_DES').focus();";						
				$StrGT="S";
			}
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G" && strlen($StrGT)==0){	
		if($StrN_AUTO=="1"){
			GUIAS_GEN_SER_NUM_MAX_2023($StrAlm_,$StrSer,$StrNum,$TipGia_);		
		}
		$iStrSer=0;
		$iStrNum=0;		
		if(is_numeric($StrSer) && strlen($StrSer)>0)$iStrSer=$StrSer * 1;
		if(is_numeric($StrNum) && strlen($StrNum)>0)$iStrNum=$StrNum * 1;
		//
		$iStrSerR=0;
		$iStrNumR=0;		
		if(is_numeric($StrSerR) && strlen($StrSerR)>0)$iStrSerR=$StrSerR * 1;
		if(is_numeric($StrNumR) && strlen($StrNumR)>0)$iStrNumR=$StrNumR * 1;		
		$StrTipo="R";
		if(strlen($StrSerR)>0 && strlen($StrNumR)>0){
			$StrTipo="G";
		}	
		if(gn("count(*)","guias","id_almacen=$StrAlm_ AND iser=$iStrSer AND inum=$iStrNum")>0){
			$LStrMsg="Guia segun almacen, serie y numero ya registrados";			
			$LStrFoc="document.getElementById('TxtSer').focus();";						
			$StrGT="S";
		}
	}
	if($StrCmd=="G"){
		$xx_id_tip_gia=$TipGia_;
		$xx_id_mot=$Mot_;
		$xx_id_pais=$UbiPai_;
		$xx_ubi_dep=$UbiDep;
		$xx_ubi_pro=$UbiPro;
		$xx_ubi_dis=$UbiDis;
		$xx_ubi_cod=$UbiCod;
		$xx_peso=$Peso;
		$xx_ce_gen="N";
		$xx_ce_hash="";
		$xx_ce_fec="1900-01-01";
		$xx_ce_hor="";
		$xx_ce_tim=0;
		$xx_usu=0;
		$TipDoc_=gn("id","sunat_catalogos","des='$TipDoc'");		
	}
	if($StrCmd=="G" && strlen($StrGT)==0){	
		$DESCONTAR=0;
		if($StrComR_==0)$DESCONTAR=1;
		//++
		$StrFec_=ToDate($StrFec);
		$StrFecT_=ToDate($StrFecT);
		$StrCosto_=$StrCosto;
		if(strlen($StrCosto)==0)$StrCosto_="0";
		if(!is_numeric($StrCosto)) $StrCosto_="0";
		$GII=GenGI();
		//
		$_IR=GetIR_2023($StrComR_,$StrSerR,$StrNumR,$StrEmpR_);
		//
		$GRE_LINK="";
		$StrId=GenId("id_guia","guias");
		$s="INSERT INTO guias VALUES ($StrId,$StrAlm_,'$StrTipo',
			'$StrSer','$StrNum','$StrFec_','$StrFecT_','$StrPar',$StrCosto_,
			'$StrMarca','$StrPlaca','$StrCons','$StrLic',
			'$StrDesRs','$StrDesDir','$StrDesRuc','$StrETRs','$StrETRuc',
			$StrComR_,'$StrSerR','$StrNumR',$_IR,'','N',$iStrSer,$iStrNum,
			'$StrCh1','$StrCh2','$StrCh3','$StrCh4','$StrCh5','$StrCh6',
			'$StrCh7','$StrCh8','$StrCh9','$StrCh10','$StrCh11','$StrCh12',
			'$StrCh13','$StrCh14',$iStrSerR,".
			"$iStrNumR,$GII,'$StrDesDNI',
			$Str_DES,$StrZto_,$_IR,".GetIDU().",$StrEmpR_,
			$xx_id_tip_gia,$xx_id_mot,
			$xx_id_pais,'$xx_ubi_dep','$xx_ubi_pro','$xx_ubi_dis','$xx_ubi_cod',
			'$xx_peso','$xx_ce_gen',
			'$xx_ce_hash','$xx_ce_fec','$xx_ce_hor',
			$xx_ce_tim,$xx_usu,'$TipTra',$TipDoc_,
			'$ChoDni','$ChoNom','$ChoApe','$Obs','$GRE_LINK','$TraPro')";
	 	ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="guias.php";
		$_BIT_ID=BIT_ADD("ALMACEN","GUIAS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		//
		$qqq=ejt("DELETE FROM guias_det WHERE id_guia=$StrId");
		//
		BIT_DET_ADD($_BIT_ID,$qqq);
		//
		$s="SELECT temc_id_producto,temc_cant,cod,des,dscto
			FROM temp_compras WHERE cod_temc='$StrHWND_G' 
			ORDER BY temc_index";
		$result = grs($s);			
		$cx=0;			
		while ($row = $result->fetch_row()){
			$cx++;
			$G_ID=$row[0];
			$G_CA=$row[1];
			$G_CO=$row[2];
			$G_DE=$row[3];
			$G_CU=$row[4];
			$ss="INSERT INTO guias_det ".
			    "VALUES ($StrId,$cx,$G_ID,$G_CA,'$G_CO','$G_DE',$G_CU)";
			ejt($ss);
			//
			BIT_DET_ADD($_BIT_ID,$ss);
			//
			if($Str_DES==1){
				STOCK_SUB($StrZto_,$G_ID,$G_CA * $G_CU);				
				if(gn("count(*)","vis_sp","ID_PRO=$G_ID AND PIE=$G_CU")>0){
					ZTOCK_SUB($StrZto_,$G_ID,$G_CA,$G_CU);
				}else{
					ZTOCK_SUB_P($StrZto_,$G_ID,$G_CA,$G_CU);
				}								
			}
			//
			$_IDP=$G_ID;
			$_CAN=$G_CA;
			$_UNI=$G_CU;
			CONTROL_GUIAS($StrComR_,$_IR,$_IDP,$_CAN,$_UNI);
			T_P_ACT($G_ID);	
			//
		}
		//ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");		
		if(strlen($LStrMsg)==0){
			$LStrMsg="Los datos han sido registrado: $StrCom : $StrSer - $StrNum";
		}
		$LStrFoc="document.getElementById('$P_C').focus();";						
		$StrGT="S";		
	}
	//++
	if($StrCmd=="E"){
		$_IR=gn("id_ref","guias","id_guia=$StrId");	
		$E_DESC=gn("guia_desc","guias","id_guia=$StrId");		
		$IdComR_=gn("id_comr","guias","id_guia=$StrId");
		$StrAlm_=gn("guia_id_alm","guias","id_guia=$StrId");				
		$s="SELECT id_producto,ca,can_uni FROM guias_det WHERE id_guia=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			$E_CU=$row[2];
			if($E_DESC==1){				
				STOCK_ADD($StrAlm_,$E_ID,$E_CA*$E_CU);
				ZTOCK_ADD($StrAlm_,$E_ID,$E_CA,$E_CU);					
			}
			CONTROLZ_GUIAS($IdComR_,$_IR,$E_ID,$E_CA,$E_CU);
			T_P_ACT($E_ID);							
		}
		$qqq=ejt("DELETE FROM guias WHERE id_guia=$StrId");		
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$qqq;
		$_BIT_SQL_DET="";
		$_BIT_PHP="guias.php";
		$_BIT_ID=BIT_ADD("ALMACEN","GUIAS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$qqq);
		//BIT	
		$qqq=ejt("DELETE FROM guias_det WHERE id_guia=$StrId");
		BIT_DET_ADD($_BIT_ID,$qqq);
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		//
		$LStrMsg="Los datos han sido eliminados";
		$LStrFoc="document.getElementById('$P_C').focus();";						
		$StrGT="S";
		//
		$LIMPIAR=1;
	}	
	
	if($StrCmd=="A"){
		$E_DESC=gn("guia_desc","guias","id_guia=$StrId");	
		$_IR=gn("id_ref","guias","id_guia=$StrId");	
		$IdComR_=gn("id_comr","guias","id_guia=$StrId");
		$StrAlm_=gn("guia_id_alm","guias","id_guia=$StrId");
		$qqq=ejt("UPDATE guias SET anu='S' WHERE id_guia=$StrId");
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$qqq;
		$_BIT_SQL_DET="";
		$_BIT_PHP="guias.php";
		$_BIT_ID=BIT_ADD("ALMACEN","GUIAS","ANULAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	++
		$s="SELECT id_producto,ca,can_uni FROM guias_det WHERE id_guia=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			$E_CU=$row[2];
			if($E_DESC==1){
				STOCK_ADD($StrAlm_,$E_ID,$E_CA*$E_CU);
				ZTOCK_ADD($StrAlm_,$E_ID,$E_CA,$E_CU);								
			}
			CONTROLZ_GUIAS($IdComR_,$_IR,$E_ID,$E_CA,$E_CU);
			T_P_ACT($E_ID);		
		}
		//++
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$LStrMsg="La guia ha sido anulada";
		$LStrFoc="document.getElementById('$P_C').focus();";						
		$StrGT="S";
		//
		$LIMPIAR=1;
	}
	////////////////////////////////////////////////
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$TraPro=gs("tra_pro","guias","id_guia=$Id");
		$StrEmp=gs("EMPC","vguias","ID=$Id");
		$StrAlm=gs("ALM","vguias","ID=$Id");
		$StrSer=gs("SER","vguias","ID=$Id");
		$StrNum=gs("NUM","vguias","ID=$Id");		
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vguias","ID=$Id");
		$StrFecT=gs("DATE_FORMAT(FIT,'%d-%m-%y')","vguias","ID=$Id");
		$StrPar=gs("DIR_PAR","vguias","ID=$Id");
		$StrCosto=gn("COSTO","vguias","ID=$Id");
		$StrDesRs=gs("DES_RS","vguias","ID=$Id");
		$StrDesRuc=gs("DES_RUC","vguias","ID=$Id");
		$StrDesDir=gs("DES_DIR","vguias","ID=$Id");
		$StrETRs=gs("ET_RS","vguias","ID=$Id");
		$StrETRuc=gs("ET_RU","vguias","ID=$Id");		
		$StrMarca=gs("TMAR","vguias","ID=$Id");
		$StrPlaca=gs("TPLA","vguias","ID=$Id");
		$StrCons=gs("TCON","vguias","ID=$Id");
		$StrLic=gs("TLIC","vguias","ID=$Id");
		$StrComR=gs("COMR","vguias","ID=$Id");
		$StrEmpR=gs("R_EMPC","vguias","ID=$Id");
		$StrNumR=gs("NUMR","vguias","ID=$Id");		
		$StrSerR=gs("SERR","vguias","ID=$Id");	
		//
		$TipGia=gs("TIP_GIA","vguias","ID=$Id");
		$CE_TIP_GIA=$TipGia;	
		$Mot=gs("MOTIVO","vguias","ID=$Id");	
		$UbiPai=gs("PAIS","vguias","ID=$Id");	
		$UbiDep=gs("UBI_DEP","vguias","ID=$Id");	
		$UbiPro=gs("UBI_PRO","vguias","ID=$Id");	
		$UbiDis=gs("UBI_DIS","vguias","ID=$Id");
		$Peso=gs("PESO","vguias","ID=$Id");	
		$CE_GEN=gs("CE_GEN","vguias","ID=$Id");	
		$TipTra=gs("TIP_TRA","vguias","ID=$Id");
		$TipDoc=gs("CHO_TDI","vguias","ID=$Id");
		$ChoDni=gs("TDI_NRO","vguias","ID=$Id");
		$ChoNom=gs("CHO_NOM","vguias","ID=$Id");
		$ChoApe=gs("CHO_APE","vguias","ID=$Id");
		$Obs=gs("xx_obs","guias","id_guia=$Id");
		//
		$StrDesDNI=gs("des_dni","guias","id_guia=$Id");		
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$s="SELECT * FROM guias_det WHERE id_guia=$Id ORDER BY cx";
		$cx=0;	
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_CU=$row[6];
			$AR_PR=0;
			$AR_IM=0;
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,'','',$AR_CU)";
			ejt($s);			
		}
		//		
		$Str_DES=gn("guia_desc","guias","id_guia=$Id");
		if($Str_DES==1){
			$StrEmpZ=gs("S_EMPC","vguias","ID=$Id");
			$StrZto=gs("ALM_SAL","vguias","ID=$Id");			
		}
		$_dr_ID=gn("id_comr","guias","id_guia=$Id");
		$_dr_SE=gn("i_serr","guias","id_guia=$Id");
		$_dr_NU=gn("i_numr","guias","id_guia=$Id");
		if($_dr_ID==-3){//PROFORMA
			$_pro_id=gn("id_cotizacion","cotizaciones",
						"iser=$_dr_SE AND inum=$_dr_NU");
			$DR_NOM="PROFORMA";
			$DR_DES=vbval(gs("cot_des","cotizaciones","id_cotizacion=$_pro_id"));
			$DR_PRI=vbval(gs("cot_pri","cotizaciones","id_cotizacion=$_pro_id"));
		}
		if($_dr_ID==-1){//PROFORMA
			$_tra_id=$_dr_NU;
			$DR_NOM="TRANSFERENCIA";
			$DR_DES="1";
			$DR_PRI="1";
		}
		if($_dr_ID==-2){//PROFORMA
			$_tra_id=$_dr_NU;
			$DR_NOM="GUIA INTERNA";
			$DR_DES="1";
			$DR_PRI="1";
		}
		if($_dr_ID>0){//VENTA
			$_ven_id=gn("id_venta","ventas","iser=$_dr_SE AND inum=$_dr_NU");
			$DR_NOM=gs("com_nombre","comprobantes","id_comprobante=$_dr_ID");			
			$_ven_dr_id=gn("ven_id_com","ventas","id_venta=$_ven_id");
			if($_ven_dr_id==0){
				$DR_DES=gn("ven_desc","ventas","id_venta=$_ven_id");
				$DR_PRI=gn("ven_prin","ventas","id_venta=$_ven_id");
			}else{
				if($_ven_dr_id==-3){
					$_ven_dr_id=gn("ven_id_ven","ventas","id_venta=$_ven_id");
					$DR_DES=vbval(gs("cot_des","cotizaciones","id_cotizacion=$_ven_dr_id"));
					$DR_PRI=vbval(gs("cot_pri","cotizaciones","id_cotizacion=$_ven_dr_id"));
				}				
			}
		}
		
	}
	$CE_COM_REF=$DR_NOM;
	////////////////////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$StrAlm="";
		$StrSer="";
		$StrNum="";
		$StrFec=date("d-m-y");
		$StrFecT=date("d-m-y");
		$StrPar="";
		$StrCosto="";
		$StrDesRs="";
		$StrDesRuc="";
		$StrDesDir="";
		$StrETRs="";
		$StrETRuc="";
		$StrMarca="";
		$StrPlaca="";
		$StrCons="";
		$StrLic="";
		$StrEmpR="";
		$StrSerR="";
		$StrNumR="";
		$StrComR="";
		$StrN_INC="";
		$Pro_Des="";
		$Pro_Pre="";
		$Pro_Cod="";
		$Pro_Marca="";	
		$StrCUni="";
		$StrDesDNI="";	
		$DR_NOM="";
		$DR_DES="0";
		$DR_PRI="0";
		$Str_DES="";
		//
		$UbiPai="";
		$UbiDep="";
		$UbiPro="";
		$UbiDis="";
		$TipDoc="";
		$ChoDni="";
		$ChoNom="";
		$ChoApe="";
		$Peso="";
		$Obs="";
		//
		if($PRO_ID_ALM==0){
			if(strlen($StrEmp)==0)$StrEmp=GE("N");
			if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"N");	
		}else{
			$StrEmp=gs("ENC","vis_almacenes","IDA=$PRO_ID_ALM");
			$StrAlm=gs("ANC","vis_almacenes","IDA=$PRO_ID_ALM");
		}
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				if($StrN_AUTO=="0"){
					$LStrMsg="onload=\"alert('$LStrMsg');\"";
				}else{
					$LStrMsg="onload=\"alert('$LStrMsg');AutoNumeracion(2);\"";
				}
			}else{
				if($StrN_AUTO=="0"){
					$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
				}else{
					$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}else{
			if(strlen($LStrFoc)>0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"$LStrFoc;\"";
				}else{
					$LStrMsg="onload=\"$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}
	}else{
		if($StrN_AUTO=="1"){
$LStrMsg="onload=\"AutoNumeracion(2);CboRef();document.getElementById('$P_C').focus();\"";
		}else{
			$LStrMsg="onload=\"CboRef();document.getElementById('$P_C').focus();\"";
		}
	}
?>